@charset "utf-8";

.blog__between {
    display        : flex;
    gap            : 10px;
    align-items    : center;
    justify-content: space-between;
    min-width: 0;
}
.blog__side {
    display    : flex;
    gap        : 10px;
    align-items: center;
}
[class*="blog__label--"]{
    width: fit-content;
    background: var(--point-color);
    padding: 3px 7px 1px;
    text-overflow: ellipsis;
    overflow     : hidden;
    white-space  : nowrap;
    font-size: var(--small-txt);
    color    : var(--sub-font-color);
    letter-spacing: .08em;
}
.blog__label--dark  { background-color: var(--point-color);}
.blog__label--light { background-color: var(--sub-color);}

.blog__name {
    text-overflow: ellipsis;
    overflow     : hidden;
    white-space  : nowrap;
    font-size: 16px;
    font-weight: bold;
}
.blog__date time {
    font-size: var(--small-txt);
    color    : var(--sub-color);
}
.blog__text {
    overflow          : hidden;
    display           : -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3;
    font-size: var(--small-txt);
    color: var(--text-subcolor);
}
.blog__line {
    width: 100px;
    height: 1px;
    background-color: #8F8F8F;
}
